Bug 518901 - ibus-chewing would not work with locale zh_TW.Big5
Summary: ibus-chewing would not work with locale zh_TW.Big5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-chewing
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 04:01 UTC by shr
Modified: 2009-10-21 00:45 UTC (History)
4 users (show)

Fixed In Version: 1.2.0.20091002-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-21 00:40:15 UTC


Attachments (Terms of Use)

Description shr 2009-08-24 04:01:55 UTC
Description of problem:
ibus-chewing would not work with locale zh_TW.Big5 after applied recent updates, the original Fedora 11 will work fine

Version-Release number of selected component (if applicable):
ibus-1.1.0.20090612-3.fc11.x86_64
ibus-libs-1.1.0.20090612-3.fc11.x86_64
ibus-gtk-1.1.0.20090612-3.fc11.x86_64
ibus-chewing-1.0.10.20090523-2.fc11.x86_64

How reproducible:
use locale "zh_TW.Big5"

Steps to Reproduce:
1. edit /etc/sysconfig/i18n, set LANG="zh_TW.Big5"
2. restart Xwindow
3. ibus-chewing will not work
  
Actual results:
not work (when switch to chewing, the input window popup then disappear)

Expected results:
work

Additional info:
If somebody needs zh_TW.Big5 environment and ibus-chewing, workaround:

open terminal (In Xwindow)
locale (this is not need, just confirm current locale, zh_TW.Big5 will not work...)
ps auxww | grep \[i\]bus (find ibus process, could not see /usr/libexec/ibus-engine-chewing --ibus with zh_TW.Big5)
kill pid_of_ibus ( kill "/usr/libexec/ibus-x11 --kill-daemon" will kill all )
export LANG=zh_TW.UTF-8
/usr/bin/ibus-daemon --xim &

then it will work fine, you can close this terminal.

Comment 1 Jens Petersen 2009-09-30 05:46:20 UTC
ping?

Comment 2 Ding-Yi Chen 2009-09-30 06:19:29 UTC
There will be an option which offers the choice among "Auto", "Big5", and "UTF8".
Where "Auto" means if the system locale is *.Big5 or *.big-5,
 the system will output big5, otherwise output utf8.

Regards,
Ding-Yi Chen

Comment 3 Ding-Yi Chen 2009-10-02 06:40:24 UTC
After some investigation. I found that internally ibus has to use utf-8. Then again, the ibus input client will do the necessary conversion.

Comment 4 Fedora Update System 2009-10-05 01:18:49 UTC
ibus-chewing-1.2.0.20091002-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-chewing-1.2.0.20091002-1.fc11

Comment 5 Fedora Update System 2009-10-05 01:19:00 UTC
ibus-chewing-1.2.0.20091002-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ibus-chewing-1.2.0.20091002-1.fc10

Comment 6 Fedora Update System 2009-10-05 01:19:09 UTC
ibus-chewing-1.2.0.20091002-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ibus-chewing-1.2.0.20091002-1.fc12

Comment 7 Fedora Update System 2009-10-06 10:01:22 UTC
ibus-chewing-1.2.0.20091002-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-chewing'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10257

Comment 8 Fedora Update System 2009-10-06 10:12:05 UTC
ibus-chewing-1.2.0.20091002-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-chewing'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10290

Comment 9 Fedora Update System 2009-10-21 00:40:09 UTC
ibus-chewing-1.2.0.20091002-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-10-21 00:45:15 UTC
ibus-chewing-1.2.0.20091002-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.